# Package org.apache.solr.client.solrj.beans

Annotation based mapping of client objects to Solr documents.

Class Summary
DocumentObjectBinder: A class to map objects to and from solr documents.

Exception Summary
BindingException

Annotation Types Summary
Field: This class can be used to annotate a field or a setter an any class and SolrJ would help you convert to SolrInputDocument and from SolrDocument